Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016354
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminorhave not tried2011-03-17 12:032012-04-17 05:31
ReporterplujanView Statuspublic 
Assigned Tomirurita 
PrioritynormalResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revisiond2405bbe38be
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016354: Quick selection is not working in goods receipt's "Create Lines from"

DescriptionWhen creating lines for a Good Receipt, if I try to select a line's warehouse by typing the search key and pressing enter, it assumes I am trying to save the record.
Steps To Reproduce1. In a Good Receipt header, click Create Lines From
2. Select an Order, it will show any available line
3. In one line, type the search key for the Storage Bin (ie "sp") and press Enter
4. Expected behavior is that spain warehouse were shown. However, the Enter is trying to save the action, resulting in an error. See attach.
TagsVMA-Reviewed
Attached Filespng file icon screenshot-27.png [^] (15,909 bytes) 2011-03-17 12:03

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0035074)
alostale (developer)
2011-03-21 10:11

Working like in classic mode.
(0046754)
Sandrahuguet (developer)
2012-03-27 11:39

It's a bug but as to migrate these selectors to smartclient not worth changing
(0046755)
plujan (manager)
2012-03-27 11:57

Since this issue is currently happening in the ERP it should not be closed. Whenever the new selectors were in place, and the correct behaviour could be checked, the issue could be closed.
Until then, it is a valid issue and should remain open.
(0046977)
Sandrahuguet (developer)
2012-03-30 13:05

Test Plan:
Go to Goods Receipt and create one
Click Create Lines From
Select an Order
In one line, click in Storage Bin and the selector is open automatically (this selector is similar as Stoage Bin selector in Physical Inventory line).
(0047551)
vmromanos (developer)
2012-04-13 10:39

The final fix allows to write any value in the selector and press ENTER
(0047554)
vmromanos (developer)
2012-04-13 10:46

Test plan:
1. In a Good Receipt header, click Create Lines From
2. Select an Order, it will show any available line
3. In one line, type the search key for the Storage Bin (ie "sp") and press Enter
4. The storage bin selector is opened filtering by the alias "sp%"
(0047555)
hgbot (developer)
2012-04-13 10:47

Repository: erp/devel/pi
Changeset: d2405bbe38bee722e3c28f9df2dd6f715ce57a11
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Apr 13 10:44:08 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d2405bbe38bee722e3c28f9df2dd6f715ce57a11 [^]

Fixed bug 16354: Storage bin selector in Create lines from (Goods receipt)

The user can write any value in the Storage bin selector and press ENTER without
getting an error anymore

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.xml
---
(0047556)
vmromanos (developer)
2012-04-13 10:49

The solution to fix this bug was provided by mirurita, I have just pushed it.

Code review + testing OK
(0047648)
hudsonbot (developer)
2012-04-17 05:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cedf57621434 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-03-17 12:03 plujan New Issue
2011-03-17 12:03 plujan Assigned To => dbaz
2011-03-17 12:03 plujan File Added: screenshot-27.png
2011-03-17 12:03 plujan Modules => Core
2011-03-21 10:10 alostale Assigned To dbaz => adrianromero
2011-03-21 10:11 alostale Note Added: 0035074
2011-06-03 10:58 dalsasua Assigned To adrianromero => dalsasua
2011-07-20 18:16 dalsasua Assigned To dalsasua => jonalegriaesarte
2012-02-15 19:05 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 15:51 vmromanos Tag Attached: VMA-Reviewed
2012-03-27 10:45 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-03-27 10:49 Sandrahuguet Status new => scheduled
2012-03-27 10:49 Sandrahuguet fix_in_branch => pi
2012-03-27 11:39 Sandrahuguet Note Added: 0046754
2012-03-27 11:39 Sandrahuguet Status scheduled => closed
2012-03-27 11:39 Sandrahuguet Resolution open => out of date
2012-03-27 11:57 plujan Note Added: 0046755
2012-03-27 11:57 plujan Status closed => new
2012-03-27 11:57 plujan Resolution out of date => open
2012-03-29 10:23 Sandrahuguet Status new => scheduled
2012-03-30 13:05 Sandrahuguet Note Added: 0046977
2012-04-13 10:38 vmromanos Assigned To Sandrahuguet => mirurita
2012-04-13 10:39 vmromanos Note Added: 0047551
2012-04-13 10:46 vmromanos Note Added: 0047554
2012-04-13 10:47 hgbot Checkin
2012-04-13 10:47 hgbot Note Added: 0047555
2012-04-13 10:47 hgbot Status scheduled => resolved
2012-04-13 10:47 hgbot Resolution open => fixed
2012-04-13 10:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d2405bbe38bee722e3c28f9df2dd6f715ce57a11 [^]
2012-04-13 10:49 vmromanos Note Added: 0047556
2012-04-13 10:49 vmromanos Status resolved => closed
2012-04-13 10:49 vmromanos Fixed in Version => 3.0MP11
2012-04-17 05:31 hudsonbot Checkin
2012-04-17 05:31 hudsonbot Note Added: 0047648


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker